.show_diff {
    padding: 0 15px;
    margin: 30px 0 20px;
}
.show_diff label {
    font-size: 18px;
    font-weight: 500;
    line-height: 26px;
    color: #FF4C4B;
    margin-right: 12px;
}
.c_compare-table_wrap {
    overflow-x: auto;
}
.c_compare-table_wrap table {
    border-collapse: collapse;
    width: 100%;
}
.c_compare-table_wrap thead {
    padding: 0 15px;
    display: block;
}
.c_compare-table_wrap .c_mobile_product-item {
    max-width: calc((100% / 2) - 0px);
}
.c_compare-table_wrap .c_mobile_product-item .cmp_sticker-wrap {
    height: 24px;
}
.c_compare-table_wrap .c_mobile_product-item .cmp_title {
    -webkit-line-clamp: 2;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
}
.c_compare-table_wrap .c_mobile_product-item .cmp_sticker-compare.active {
    background: #ff4c4b;
    border-color: #ff4c4b;
}
.c_compare-table_wrap tbody {
    padding-top: 30px;
    display: block;
}
.c_compare-table_wrap tr {
    display: flex;
    gap: 10px;
}
.c_compare-table_wrap :is(td, th) {
    text-align: left;
    max-width: calc((100% / 2) - 0px);
    font-size: 14px;
    margin: 0;
    width: 100%;
}
.c_compare-table_wrap tbody :is(th, td) {
    padding: 10px;
    text-align: center;
    min-width: 120px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.c_compare-table_wrap tbody th {
    background-color: #f1f1f1;
    position: sticky;
    top: 0;
    z-index: 2;
}
.c_compare-table_wrap tbody .c_compare-attr_text {
    position: relative;
}
.c_compare-table_wrap tbody .c_compare-attr_text > td {
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    color: #666;
    position: relative;
}
.c_compare-table_wrap tbody .c_compare-attr_text > td:not(:last-child):after {
    content: '';
    position: absolute;
    top: 25%;
    right: -5px;
    height: 50%;
    width: 1px;
    background: #D9D9D9;
}
.c_compare-table_wrap tbody .c_compare-attr_name {
    background-color: #F7F7F7;
    position: sticky;
    left: 0;
    z-index: 3;
    width: 100vw;
    max-width: unset;
    font-size: 18px;
    font-weight: 600;
    line-height: 26px;
    color: #666;
}
.c_compare-table_wrap::-webkit-scrollbar {
    height: 3px;
}
.c_compare-table_wrap::-webkit-scrollbar-thumb {
    background-color: #ccc;
    border-radius: 2px;
}

@supports (-webkit-appearance: none) or (-moz-appearance: none) {
    input[type=file].cnew_input:focus, input[type=checkbox].cnew_input:focus, input[type=radio].cnew_input:focus {
        outline: none;
    }
    input[type=checkbox].cnew_input, input[type=radio].cnew_input {
        --active: #FF4C4B;
        --active-inner: #fff;
        --focus: 2px rgba(39, 94, 254, .3);
        --border: #BBC1E1;
        --border-hover: #275EFE;
        --background: #ff4c4b3d;
        --disabled: #F6F8FF;
        --disabled-inner: #E1E6F9;
        -webkit-appearance: none;
        -moz-appearance: none;
        height: 21px;
        outline: none;
        display: inline-block;
        vertical-align: top;
        position: relative;
        margin: 0;
        cursor: pointer;
        border: 1px solid #ff4c4b3d;
        background: var(--b, var(--background));
        transition: background 0.3s, border-color 0.3s, box-shadow 0.2s;
    }
    input[type=checkbox].cnew_input:after, input[type=radio].cnew_input:after {
        content: "";
        display: block;
        left: 0;
        top: 0;
        position: absolute;
        transition: transform var(--d-t, 0.3s) var(--d-t-e, ease), opacity var(--d-o, 0.2s);
    }
    input[type=checkbox].cnew_input:checked, input[type=radio].cnew_input:checked {
        --b: var(--active);
        --d-o: .3s;
        --d-t: .6s;
        --d-t-e: cubic-bezier(.2, .85, .32, 1.2);
    }
    input[type=checkbox].cnew_input:disabled, input[type=radio].cnew_input:disabled {
        --b: var(--disabled);
        cursor: not-allowed;
        opacity: 0.9;
    }
    input[type=checkbox].cnew_input:disabled:checked, input[type=radio].cnew_input:disabled:checked {
        --b: var(--disabled-inner);
        --bc: var(--border);
    }
    input[type=checkbox].cnew_input:disabled + label, input[type=radio].cnew_input:disabled + label {
        cursor: not-allowed;
    }
    input[type=checkbox].cnew_input:not(.c_switch), input[type=radio].cnew_input:not(.c_switch) {
        width: 21px;
    }
    input[type=checkbox].cnew_input:not(.c_switch):after, input[type=radio].cnew_input:not(.c_switch):after {
        opacity: var(--o, 0);
    }
    input[type=checkbox].cnew_input:not(.c_switch):checked, input[type=radio].cnew_input:not(.c_switch):checked {
        --o: 1;
    }
    input[type=checkbox].cnew_input + label, input[type=radio].cnew_input + label {
        font-size: 14px;
        line-height: 21px;
        display: inline-block;
        vertical-align: top;
        cursor: pointer;
        margin-left: 4px;
    }

    input[type=checkbox].cnew_input:not(.c_switch) {
        border-radius: 7px;
    }
    input[type=checkbox].cnew_input:not(.c_switch):after {
        width: 5px;
        height: 9px;
        border: 2px solid var(--active-inner);
        border-top: 0;
        border-left: 0;
        left: 7px;
        top: 4px;
        transform: rotate(var(--r, 20deg));
    }
    input[type=checkbox].cnew_input:not(.c_switch):checked {
        --r: 43deg;
    }
    input[type=checkbox].cnew_input.c_switch {
        width: 38px;
        border-radius: 11px;
    }
    input[type=checkbox].cnew_input.c_switch:after {
        left: 2px;
        top: 2px;
        border-radius: 50%;
        width: 15px;
        height: 15px;
        background: #fff;
        transform: translateX(var(--x, 0));
    }
    input[type=checkbox].cnew_input.c_switch:checked {
        --ab: var(--active-inner);
        --x: 17px;
    }
    input[type=checkbox].cnew_input.c_switch:disabled:not(:checked):after {
        opacity: 0.6;
    }

    input[type=radio].cnew_input {
        border-radius: 50%;
    }
    input[type=radio].cnew_input:after {
        width: 19px;
        height: 19px;
        border-radius: 50%;
        background: var(--active-inner);
        opacity: 0;
        transform: scale(var(--s, 0.7));
    }
    input[type=radio].cnew_input:checked {
        --s: .5;
    }
}